vswrptm(1)

NAME
vswrptm - Report Comparison Generator for the VSW5 Test Suite

SYNOPSIS
vswrptm [ -a ] [ -f ] [ -h ] [ -s section ] [ -t test_case ] [ -u ] [ -v ] journal1 journal2 [ journal3 ] [ journal4 ] [ journal5 ] [ journal6 ]

DESCRIPTION
The VSW5 Report Comparison Generator (vswrptm) produces a report comparing the Test Purpose results from two to six Test Environment Toolkit (TET) journal files produced from runs of VSW5. The report is written to stdout.

vswrptm employs the standard TET journal information along with additional information provided by the Test Suite via the scenario file and the tests themselves. This data provides the names of Test Suite Sections and Test Cases as well as invariant Test Purpose numbering to allow vswrptm to detect missing Test Cases or Purposes.

The journal files given to vswrptm must be the result of a tcc command which includes the -e option. The -b and/or -c options may also have been used. vswrptm cannot be used on journal files which do not contain the additional information provided by VSW5.

OPTIONS

Detail and Scope

vswrptm always produces a summary report of the results of the test runs in the input journals. By default it also reports the results for all Test Purposes for which the results are not the same in each journal. Five options provide the ability to alter this later information.

-a  Show results for all Test Purposes, not just variations.

-f  Show results for Test Purposes where a failure is present as well as variations.

-u  Show results for Test Purposes where UNINITIATED results are present as well as variations.

-t test_case

Report results only for the Test Case test_case.

-s section

Report results only for the Test Suite Section section.

Other Options

-h  Display usage information.

-v  Display program version.

FIP RESULTS
A Further Information Provided (FIP) result code indicates that manual analysis is required to resolve an anomaly. In some cases FIP results are generated by Test Purposes themselves but primarily they are produced during report generation. If compiler warnings are present in a journal for the build phase of a test suite file and the result of a Test Purpose in that file would otherwise be PASS vswrptm changes the result to FIP. This indicates the compiler warnings must be manually examined and either corrected or justified.

UNINITIATED RESULTS
An UNINITIATED result code indicate that a Test Purpose was not executed, usually due to a compiler error during the build phase. vswrptm is aware of which Test Purposes are executed and will report result of UNINITIATED for each Test Purpose which is not run. This indicates that the compiler error should be corrected and the test re-run.

REPORT FORMATS
The summary report produced by vswrptm provides a summary of the result codes reported by the Test Purposes in each journal file.

Result from Test Purposes are output in columnar form.

ERRORS
vswrptm will print an error and usage message to stderr if illegal options are specified. No report is generated.

vswrptm will print an error message to stderr if format errors are encountered in the journal file. No report is generated.

SEE ALSO

vswrpt

Copyright (c) 1994-1997 Applied Testing and Technology, Inc.